# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname tmail

Name: ruby-%pkgname
Version: 1.2.2
Release: alt1

Summary: Mail handling library for Ruby
License: GPL
Group: Development/Ruby
URL: http://tmail.rubyforge.org/

Packager: Sir Raorn <raorn@altlinux.ru>

BuildRequires(pre): rpm-build-ruby
# Automatically added by buildreq on Mon Dec 03 2007 (-bi)
BuildRequires: libruby-devel ruby-module-debug ruby-module-digest ruby-module-etc ruby-module-iconv ruby-module-nkf ruby-module-openssl ruby-module-racc-runtime ruby-module-test-unit ruby-racc

# http://rubyforge.org/frs/?group_id=4512
Source: %pkgname-%version.tar
Patch: %name-%version-%release.patch

%description
TMail is mail handling library for Ruby. TMail can extract data from mail,
and write data to mail following by RFC procedures.

%package doc
Summary: Documentation files for %name
Group: Documentation

%description doc
Documentation files for %name

%prep
%setup -q -n %pkgname-%version
%patch -p1

# leftovers of indeterminate origin
rm -f lib/tmail/require_arch.rb
# will regenerate
rm -f lib/tmail/parser.rb

%build
%ruby_config --verbose --without_ext yes
%ruby_build --verbose
pushd lib/tmail
%make_build parser.rb
popd
pushd ext/tmailscanner/tmail
%ruby_configure
%make_build
popd
%ruby_setup_rb test

%install
%ruby_install --verbose
pushd ext/tmailscanner/tmail
%make_install DESTDIR=%buildroot install
popd
%rdoc lib/ ext/

%files
%doc CHANGES LICENSE NOTES README
%ruby_sitearchdir/*
%ruby_sitelibdir/*

%files doc
%doc sample
%ruby_ri_sitedir/TMail*

%changelog
* Tue Apr 01 2008 Sir Raorn <raorn@altlinux.ru> 1.2.2-alt1
- [1.2.2]

* Mon Dec 03 2007 Sir Raorn <raorn@altlinux.ru> 1.2.0-alt1
- [1.2.0]
- Added RI documentation
- Updated buildrequires
- Updated requires

* Wed Apr 28 2004 Sir Raorn <raorn@altlinux.ru> 0.10.8-alt1
- New version

* Mon Jul 07 2003 Alexander Bokovoy <ab@altlinux.ru> 0.10.6-alt3
- Rebuild against Ruby 1.8-alt3
- FIxed:
    + ruby-tmail should not probide RACC, it is already in Ruby 1.8
    + Documentation is included

* Thu Jan 30 2003 Kachalov Anton <mouse@altlinux.ru> 0.10.6-alt2
- buildreq

* Tue Dec 10 2002 Kachalov Anton <mouse@altlinux.ru> 0.10.6-alt1
- new version

